View Issue Details

IDProjectCategoryView StatusLast Update
0000559Trip ReaderBug 其他问题public2024-01-31 08:53
Reporter潘明杰Mingjie Assigned ToYihong Wu  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version1.7.11 
Summary0000559: 读卡内容不完全
Description

在之前使用HUAWEIpay公交卡的时候,甬城通卡(city union标准,见图3),无法完整读取乘坐地铁的消费记录(APP记录见图2,读卡识途记录见图1),也不知道是什么原因。并且,为了测试,我把原来的甬城通卡消除,重新开了一张,经过今天的实践,仍然无法读取到地铁的进出站记录。另,票卡分析专用工具 读取不到该卡的任何消费记录,目前一共就3条交易+2条充值记录。
补充内容:我爸妈的普通的甬城通(实体卡)使用读卡识途能读取到全部的交易记录,包括公交和地铁,但使用 票卡分析专用工具 只能读取到地铁的消费记录。

TagsNo tags attached.
Attached Files
ProvinceZhejiang 浙江
CarrierMetro 地铁
TypeCU

Activities

Yihong Wu

2023-08-14 02:21

manager   ~0001052

表示华为卡不支持读取18文件,你可以去自助查询机或者客服看看能不能读到

潘明杰Mingjie

2023-08-14 02:35

reporter   ~0001053

好的,我有空去问问客服

潘明杰Mingjie

2023-11-22 05:40

reporter   ~0001196

今天知道了full scan功能后,重新扫描了一下甬城通卡,结果如下。(ps.此卡与上面问题中的卡并不是同一张卡,是我为了验证是否跟卡有关,而重新开的一张卡,问题都是一样的,无法读取到地铁的刷卡数据。)

Expert-20231122-133531.txt (3,140 bytes)   
SELECT MF
00A40000023F00
6F19840E315041592E5359532E4444463034A5079F0801029F0C009000 (27)

Info 0x05
00B0850000
5944315000010000000300091076875080302023090400000000000100003020230904000000190001001900205012319000 (48)

Info 0x06
00B0860000
000000000000000000000000000000009000 (16)

Info 0x16
00B0960000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000009000 (55)

SELECT CU
00A4040009A00000000386980701
6F328409A00000000386980701A5259F0801029F0C1E5944315000010000020331500003000910768750202309042050123109149000 (52)

CHECK BALANCE
805C000204
000005379000 (4)

Info 0x15
00B0950000
5944315000010000020331500003000910768750202309042050123109149000 (30)

Info 0x16
00B0960000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000009000 (55)

Record 0x10 #1
00B2018400
00030000000000000009413101500958202310110737009000 (23)

Record 0x10 #2
00B2028400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #3
00B2038400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #4
00B2048400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #5
00B2058400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #6
00B2068400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #7
00B2078400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #8
00B2088400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #9
00B2098400
00000000000000000000000000000000000000000000009000 (23)

Record 0x10 #10
00B20A8400
00000000000000000000000000000000000000000000009000 (23)

Record 0x17 #1
00B201BC00
011E0000000000000000000000000000000000000000000000000000000000009000 (32)

Record 0x17 #2
00B202BC00
021E001000A3040223101106382200000100000000A1000000000000000000009000 (32)

Record 0x17 #3
00B203BC00
031E0000000000000000000000000000000000000000000000000000000000009000 (32)

Record 0x17 #4
00B204BC00
092E003150000127041320231011063822010904022023101107334600000299A00000000000000000000000995953F69000 (48)

Record 0x1A #1
00B201D400
0001000000000007D002000002000019202310101825069000 (23)

Record 0x1A #2
00B202D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #3
00B203D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #4
00B204D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #5
00B205D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #6
00B206D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #7
00B207D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #8
00B208D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #9
00B209D400
00000000000000000000000000000000000000000000009000 (23)

Record 0x1A #10
00B20AD400
00000000000000000000000000000000000000000000009000 (23)

SELECT TU
00A4040008A000000632010105
6A82 (0)

SELECT 3F01
00A40000023F01
6F328409A00000000386980701A5259F0801029F0C1E5944315000010000020331500003000910768750202309042050123109149000 (52)
Expert-20231122-133531.txt (3,140 bytes)   
Screenshot-20231122-133453-1.png (143,354 bytes)   
Screenshot-20231122-133453-1.png (143,354 bytes)   

Yihong Wu

2023-11-22 09:15

manager   ~0001197

结论一样,卡不支持读取18文件,要么是卡bug要么是故意不让人读

潘明杰Mingjie

2024-01-31 07:48

reporter   ~0001277

Last edited: 2024-01-31 07:53

根据观察,确实无法读取0x18数据文件。
与宁波市民卡公司沟通后,确认该问题无解;对方表示可能是我手机机型的问题,宁波甬城通在上线安卓手机时,并未对上线品牌的所有支持NFC机型开通,且根据对方表示,安卓手机虚拟卡出问题的状况颇多。
至于轨道交通的扣费,卡机数据会临时写入0x17记录。根据观察,宁波甬城通实体卡,包括本地市民卡,学生卡,交通联合卡,均不会产生0x17记录。
此问题可以关闭。

Yihong Wu

2024-01-31 08:53

manager   ~0001278

感谢报告

Issue History

Date Modified Username Field Change
2023-08-13 23:50 潘明杰Mingjie New Issue
2023-08-13 23:50 潘明杰Mingjie File Added: Screenshot_20230814_073748_com.domosekai.cardreader.jpg
2023-08-13 23:50 潘明杰Mingjie File Added: Screenshot_20230814_073805_com.huawei.wallet.jpg
2023-08-13 23:50 潘明杰Mingjie File Added: Screenshot_20230814_074301_com.huawei.himovie.local.jpg
2023-08-14 02:21 Yihong Wu Note Added: 0001052
2023-08-14 02:35 潘明杰Mingjie Note Added: 0001053
2023-11-22 05:40 潘明杰Mingjie Note Added: 0001196
2023-11-22 05:40 潘明杰Mingjie File Added: Expert-20231122-133531.txt
2023-11-22 05:40 潘明杰Mingjie File Added: Screenshot-20231122-133453-1.png
2023-11-22 09:15 Yihong Wu Note Added: 0001197
2023-12-10 06:48 Yihong Wu Assigned To => Yihong Wu
2023-12-10 06:48 Yihong Wu Status new => resolved
2023-12-10 06:48 Yihong Wu Resolution open => not fixable
2023-12-10 06:48 Yihong Wu Carrier Metro 地铁 => Metro 地铁
2023-12-10 06:48 Yihong Wu Type CU => CU
2024-01-31 07:48 潘明杰Mingjie Status resolved => feedback
2024-01-31 07:48 潘明杰Mingjie Resolution not fixable => reopened
2024-01-31 07:48 潘明杰Mingjie Note Added: 0001277
2024-01-31 07:48 潘明杰Mingjie Note Edited: 0001277
2024-01-31 07:53 潘明杰Mingjie Note Edited: 0001277
2024-01-31 08:53 Yihong Wu Status feedback => closed
2024-01-31 08:53 Yihong Wu Carrier Metro 地铁 => Metro 地铁
2024-01-31 08:53 Yihong Wu Type CU => CU
2024-01-31 08:53 Yihong Wu Note Added: 0001278